# Uses of Class
javassist.bytecode.SignatureAttribute.Type

Packages that use SignatureAttribute.Type
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of SignatureAttribute.Type in javassist.bytecode

Subclasses of SignatureAttribute.Type in javassist.bytecode
Modifier and Type
Class
Description
`static class`
`SignatureAttribute.ArrayType`
Array types.
`static class`
`SignatureAttribute.BaseType`
Primitive types.
`static class`
`SignatureAttribute.ClassType`
Class types.
`static class`
`SignatureAttribute.NestedClassType`
Nested class types.
`static class`
`SignatureAttribute.ObjectType`
Class types, array types, and type variables.
`static class`
`SignatureAttribute.TypeVariable`
Type variables.
Methods in javassist.bytecode that return SignatureAttribute.Type
Modifier and Type
Method
Description
`SignatureAttribute.Type`
SignatureAttribute.ArrayType.`getComponentType()`
Returns the component type.
`SignatureAttribute.Type[]`
SignatureAttribute.MethodSignature.`getParameterTypes()`
Returns the types of the formal parameters.
`SignatureAttribute.Type`
SignatureAttribute.MethodSignature.`getReturnType()`
Returns the type of the returned value.
`static SignatureAttribute.Type`
SignatureAttribute.`toTypeSignature(String sig)`
Parses the given signature string as a type signature.
Constructors in javassist.bytecode with parameters of type SignatureAttribute.Type
Modifier
Constructor
Description
``
`ArrayType(int d, SignatureAttribute.Type comp)`
Constructs an `ArrayType`.
``
`MethodSignature(SignatureAttribute.TypeParameter[] tp, SignatureAttribute.Type[] params, SignatureAttribute.Type ret, SignatureAttribute.ObjectType[] ex)`
Constructs a method type signature.